# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	11
%define		pname	igb
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Name:		%{pname}%{_alt_kernel}
Version:	3.4.7
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	4503a06412e10037b5f43b3cc151e886
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 82575EB/GB or 82576 chipsets.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.

%package -n kernel%{_alt_kernel}-net-igb
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-igb
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 82575EB/GB or 82576 chipsets.

%description -n kernel%{_alt_kernel}-net-igb -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := igb.o
igb-objs := igb_main.o e1000_82575.o e1000_mac.o e1000_nvm.o e1000_phy.o \
e1000_manage.o igb_param.o igb_ethtool.o kcompat.o e1000_api.o e1000_mbx.o igb_vmdq.o

EXTRA_CFLAGS=-DDRIVER_IGB
EOF

# Large Receive Offload - Do Not Use LRO When Routing Packets
# CFLAGS_EXTRA=-DIGB_LRO

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man7

%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist igb
alias igb igb-current
EOF

cp -a igb.7 $RPM_BUILD_ROOT%{_mandir}/man7

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-igb
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-igb
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-igb
%defattr(644,root,root,755)
%doc README
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*
%{_mandir}/man7/igb.7*
%changelog
* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 6d8b456
- Rebuild for kernel 3.4.10
- release 11 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> 16425d3
- rebuild for kernel.spec:auto/th/kernel-3.4.8-1 /home/users/baggins/devel/PLD/rpm/packages
- release 10 (by relup.sh)

* Sun Jul 22 2012 Paweł Sikora <pawel.sikora@agmk.net> b5bef03
bump release for rebuild with kernel-3.4.6-1

* Sat Jun 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ac7dbcb
- rebuild for kernel-3.4.4-1
- release 8 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bc1298f
- rebuild for kernel-3.4.3-1
- release 7 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e4b627f
- rebuild for kernel-3.4.3-1
- release 6 (by relup.sh)

* Tue Jun 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c31caa1
- release 5
 (by relup.sh)

* Wed May 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d1b884
- release 4

* Sun May 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a9f709c
- release 3

* Tue May 08 2012 Jan Rękorajski <baggins@pld-linux.org> 342515f
- release 2

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> 0278361
- up to 3.4.7

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> edc392e
- release 14

* Sat Apr 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b3a78f
- release 13

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> bfe7450
- release 12

* Fri Apr 06 2012 Jan Rękorajski <baggins@pld-linux.org> d400f8f
- release 11

* Wed Apr 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 74238a5
- release 10

* Mon Mar 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bb33d2
- release 9

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2086d83
- release 8

* Thu Mar 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 31e8184
- release 7

* Tue Feb 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d3c6cdc
- release 6

